#
# spec file for package python-hypothesis-fspaths
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-hypothesis-fspaths
Version:        0.1
Release:        bp153.1.16
Summary:        Hypothesis extension for generating filesystem paths
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/lazka/hypothesis-fspaths
Source:         https://files.pythonhosted.org/packages/source/h/hypothesis-fspaths/hypothesis-fspaths-%{version}.tar.gz
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-hypothesis
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module hypothesis}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Hypothesis extension for generating filesystem paths

%prep
%setup -q -n hypothesis-fspaths-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Mar  6 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.1
